function init(hero) {
    hero.setName("Juggernaut");
    hero.setTier(10);
    hero.setVersion("\u00A7c\u00A7lX\u00A76\u00A7l-\u00A7e\u00A7lMEN\u00A7f")

    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:xm_juggernaut");
    hero.addAttribute("PUNCH_DAMAGE", 16, 0);
    hero.addAttribute("BASE_SPEED", -0.1, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1, 0);
    hero.addAttribute("MAX_HEALTH", 8, 0);

    hero.addKeyBind("SUPER_SPEED", "Rampant Charge", 1)
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 2)
    hero.addKeyBind("EARTHQUAKE", "key.earthquake", 3);
    hero.addKeyBind("HEAT_VISION", "", 1);

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    
    hero.setDefaultScale(1.6);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:super_speed":
        return entity.isSprinting() && entity.isOnGround();
     case "fiskheroes:heat_vision":
        return entity.isSprinting() && entity.isOnGround();
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "SUPER_SPEED":
        return entity.isSprinting() && entity.isOnGround();
    case "HEAT_VISION":
        return entity.isSprinting() && entity.isOnGround();
    default:
        return true;
    }
}